# Comms Events Lead Role Handbook 

## Overview

As Event Co-ordinator Lead, you are responsible for
- connecting with organizers of contributor events such as the monthly community meeting or contributor summits
- working with the Contributor Comms team to ensure communications about events are being created and promoted through various means including email (k-dev), slack (slack bot, etc), twitter (K8sContributors), etc.

Time Commitment:

1-3 hours a week from 0-1.5 months in
2-5 hours a week from 1.5 months-to event 

## Minimum skills and Requirements

- Kubernetes github org [membership](https://github.com/kubernetes/community/blob/master/community-membership.md)
- familiarity with the workflow of [#sig-contributor-comms](https://github.com/kubernetes/community/tree/master/communication/contributor-comms)
- has understanding of the [social guidelines](https://github.com/kubernetes/community/blob/master/communication/contributor-comms/storytelling-resources/social-guidelines.md)
- Good grasp on general marketing activities surrounding events
- Understanding of common forms of marketing communications
- Event planning experience is a plus
- Willing and able to directly coordinate across timezones and contributor groups
- commitement for the role is relative and would vary depending upon events

## Expectations and tasjs

The core task for the role would be to stay current on [upcoming](https://www.kubernetes.dev/events/) events. Planning should be done with the team about the event, target audience, mode of communication, timeline, etc. This could be coordinated via a call or async conversatios. Sometimes, some big events might require you to join a weekly or bi-weekly call. The following are the possible tasks to perform (may vary depending upon the event).

- Creating a communication schedule - what, when, how, who
- Promoting on different platforms like 
    - emailing on [kdev](https://github.com/kubernetes/community/blob/master/communication/mailing-list-guidelines.md)
    - twitting from main or k8scontributor accounts
    - coordinating with CNCF(if required)
    - sending slack notification to various channels(depending on the target audience)
- Assisting in the entire blog process
- Coordinating with Contributor Comms team members to ensure above tasks are completed

Timeline for the communication can be crucial parameters so ideally timelines should at least begin to be decided weeks before the event. 

## Shadowing the Event Coordinator Role

This role can include one or more shadows. The Event Coordinator Lead can delegate/assign tasks to the shadows. The expectation from a shadow is to work with the lead to develop a plan to adopt ownership of the role over time, including all tasks listed in the "Expectations and Tasks" section. The shadows to the Event Coordinator Lead are responsible for handling all Event Coordinator lead related activities in the absence of the Lead.
